<script setup lang="ts">
import { storeToRefs } from 'pinia'
import { useUIStore } from '~~/store/UI'
import { useZoomClientStore } from '~~/store/zoomClient'

interface TimeProps {
  record?: boolean
  offset?: number
}

const {
  record,
  offset = 0,
} = defineProps<TimeProps>()
const timestamp = useTimestamp({ offset: 0 })
const time = computed(() => (timestamp.value - offset) / 1000)

const addZero = (no: number) => (no < 10 ? `0${no}` : no)
const hour = computed(() => addZero(Math.round(time.value / (60 * 60))))
const minute = computed(() => addZero(Math.floor(time.value / 60) % 60))
const second = computed(() => addZero(Math.round(time.value % 60)))
const ui = useUIStore()
const zoomClient = useZoomClientStore()
const { waitingRoom } = storeToRefs(ui)
</script>

<template>
  <div v-if="(!waitingRoom && !zoomClient.loading)" class="w-40">
    <div v-if="record" class="text-red-600 flex items-center gap-2">
      <div class="w-6 h-6 rounded-full bg-red-600" />
      {{ hour }}:{{ minute }}:{{ second }}
    </div>
    <div v-else>
      配信中 {{ hour }}:{{ minute }}:{{ second }}
    </div>
  </div>
</template>

<style scoped></style>
